Create Workflow Trigger
curl --request POST \
--url https://api.example.com/v1/workflows/{workflow_id}/triggers \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"definition": {},
"name": "<string>",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/workflows/{workflow_id}/triggers"
payload = {
"definition": {},
"name": "<string>",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition: {},
name: '<string>',
workflow_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v1/workflows/{workflow_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": {},
"routing_key": "<string>",
"name": "<string>",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"last_fired_at": "2023-11-07T05:31:56Z",
"last_error": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Triggers
Create Workflow Trigger
Create a trigger on a workflow. The trigger is attributed to this API key.
POST
/
v1
/
workflows
/
{workflow_id}
/
triggers
Create Workflow Trigger
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I